//addresses
function saveItems56() {
	document.getElementById('position_list56').value = ItemsList56(true);
}
function doRequest(where, post, doFunction, error) {
	this.Display = function(result) {
		doFunction(result.responseText);
	}
	this.Fail = function(result) {
		if (error)
			alert(error);
	}
	YAHOO.util.Connect.asyncRequest('POST', where, {
		success : this.Display,
		failure : this.Fail
	}, post);
}

function addEvent(object, eventName, do_function) {
	if (typeof (object) == "string")
		object = document.getElementById(object);
	if (!object) {
		alert('No object in function addEvent!');
		return;
	}
	if (object.addEventListener) {
		object.addEventListener(eventName, do_function, false);
	} else {
		object.attachEvent('on' + eventName, do_function);
	}
}

var tbody_;
var ItemListSave2;
var ItemListClear2;
var ItemListFil2;
var FillText;

addEvent(
		window,
		'load',
		function() {
			var paramsTable2 = new paramsMT('itemsTable56');
			paramsTable2.onCreateRow = function(row) {
				row.newPos = false;
				row.noAddNew = true;
				row.ondblclick = function() {
				}
				row.onSelect = function() {
				}
				row.onDeselect = function() {
				}
			}

			paramsTable2.onCreateCell = function(cell) {

				var i = cell.index;
				cell.change = function(select) {
				};
				if (i == 0) {
					cell.setData = function(data) {			
						console.log(data);
						if(data.product_group) {
							cell.firstChild.value = data.product_group;
							
							cell.getElementsByTagName('input')[1].value = data.cat_id;
						if (data.id)
							cell.getElementsByTagName('input')[2].value = data.id;
						}
					};
					cell.getData = function(data) {
						data.product_group = cell.firstChild.value;
						data.cat_id = cell.getElementsByTagName('input')[1].value;
						data.id = cell.getElementsByTagName('input')[2].value;
					}

					cell.onDeselect = function() {
						ERROR = false;
						var data = new Object();
						this.getData(data);
						if (!ERROR) {
							this.setData(data);
						}

						var cn = this.getElementsByTagName('input');
						cn[0].name = '';
						cn[0].id = '';

						cn[1].name = '';
						cn[1].id = '';
					}
					cell.onSelect = function() {
						var cn = this.getElementsByTagName('input');
						cn[0].name = 'name_mailinggroup2';
						cn[0].id = 'name_mailinggroup2';

						cn[1].name = 'id_mailinggroup2';
						cn[1].id = 'id_mailinggroup2';
					}
					// cell.select = function() { this.selectNext(); }
					// cell.selectNext = function() { var row =
					// this.parentNode.selectNext(); row.select();
					// row.cells.item(i).select(); };
					var edit = document.createElement('input');
					edit.setAttribute('type', 'text');
					edit.setAttribute('tabIndex', 1);
					edit.className = 'inputs';
					cell.appendChild(edit);
					var edit = document.createElement('input');
					edit.setAttribute('type', 'hidden');
					edit.setAttribute('readonly', 'readonly');
					edit.setAttribute('tabIndex', 1);
					edit.className = 'inputs';
					cell.appendChild(edit);
					var edit = document.createElement('input');
					edit.setAttribute('type', 'hidden');
					edit.setAttribute('readonly', 'readonly');
					edit.setAttribute('tabIndex', 1);
					edit.className = 'inputs';
					cell.appendChild(edit);
					var img = document.createElement('img');
					img.setAttribute('alt', 'Search');
					img.setAttribute('src',
							'modules/EcmQuotes/images/search.gif');
					img.style.cursor = 'pointer';
					img.onclick = function() {
						var ecmpopup = open_popup("EcmMailingCategories", 600,
								400, "&type_advanced=Contacts", true, false, {
									"call_back_function" : "set_return",
									"form_name" : "EditView",
									"field_to_name_array" : {
										"id" : "id_mailinggroup2",
										"name" : "name_mailinggroup2"
									}
								}, "single", true);
						setTimeout(function() {
							ecmpopup.focus();
						}, 200);
					}
					cell.appendChild(img);
				}
				/*
				if (i == 1) {
					cell.setData = function(data) {
						if (data.discount!=1){
						
							cell.getElementsByTagName('input')[0].checked = false;
						}
							
					};
					cell.getData = function(data) {
					
						data.discount = UserFormatNumberToNumber(cell.firstChild.value);
					}

					cell.onDeselect = function() {
						
						ERROR = false;
						var data = new Object();
						this.getData(data);
						if (!ERROR) {
							data.discount = data.discount;
							this.setData(data);
						}
					}

					var edit = document.createElement('input');
					edit.setAttribute('type', 'checkbox');
					edit.setAttribute('tabIndex', 1);
					edit.className = 'inputs';
					edit.checked = true;
					edit.value = 1;
					cell.appendChild(edit);

				}
				*/
				if (i == 1) {
					var img;

					cell.style.padding = "auto auto auto auto";
					// insert
					img = document.createElement('img');
					img.setAttribute('alt','ADD');
					img.setAttribute('src',
							'modules/EcmQuotes/images/insertrow.gif');
					img.style.cursor = 'pointer';
					img.onclick = function() {
						this.parentNode.myTable
								.addRow(this.parentNode.parentNode.index + 1);
						refreshPositionIndex();
					};

					// delete
					cell.appendChild(img);
					cell.appendChild(document.createTextNode(" "));
					img = document.createElement('img');
					img.setAttribute('alt', 'DELETE');
					img.setAttribute('src',
							'modules/EcmQuotes/images/deleterow.gif');
					img.style.cursor = 'pointer';
					img.onclick = function() {
						this.parentNode.parentNode.deleteRow();
						refreshPositionIndex();
					};
					cell.appendChild(img);
					cell.appendChild(document.createTextNode(" "));

					cell.appendChild(document.createElement('br'));
					// move up
					img = document.createElement('img');
					img.setAttribute('alt','UP');
					img.setAttribute('src',
							'modules/EcmQuotes/images/moverowup.gif');
					img.style.cursor = 'pointer';
					img.onclick = function() {
						this.parentNode.parentNode.moveUp();
						refreshPositionIndex();
					};
					cell.appendChild(img);
					cell.appendChild(document.createTextNode(" "));
					// move down
					img = document.createElement('img');
					img.setAttribute('alt', 'DOWN');
					img.setAttribute('src',
							'modules/EcmQuotes/images/moverowdown.gif');
					img.style.cursor = 'pointer';
					img.onclick = function() {
						this.parentNode.parentNode.moveDown();
						refreshPositionIndex();
					}
					cell.appendChild(img);
				}
			}
			ItemsList56 = function(json) {
				var data = '';
				for (var i = 0; i < paramsTable2.rowCount(); i++) {
					var a=0;
					var data2=new Object();
					 $(paramsTable2.row(i)).find("td input").each(function() {

						 if(a==0){
								
								data2.product_group=$(this).val();
							
						 }
						 if(a==1){
								
								data2.cat_id=$(this).val();
							
						 }
						 if(a==2){
								
								data2.id=$(this).val();
							
						 }
				            
				            a++;
				        });
					data = data
							+ '||||'
							+ JSON.stringifyNoSecurity(data2);
				
				}
				
				return data;
			}
			if (paramsTable2.rowCount() == 0) {
				paramsTable2.addRow();
			}
			;
			paramsTable2.onSetCellData = function(row, cell, data) {
				if (cell.innerHTML == '')
					cell.innerHTML = '&nbsp;';
			}

			ItemListFill2 = function() {
				var pl;
				pl = document.getElementById('position_list56').value;
				console.log(pl);
				if (pl && pl != '') {
					try {
						pl = eval(pl);
						for (x in pl) {
							var pl_row = pl[x];
							if (pl_row.template == '')
								continue;
							paramsTable2.addRow().setData(pl_row);
						}
					} catch (err) {
						pl = null;
					}
					;
				}
			}

			ItemListClear2 = function(noNew, save) {
				if (typeof (save) == "string")
					ItemListSave(null, save);
				while (paramsTable2.rowCount() > 0)
					paramsTable2.row(0).deleteRow(noNew);
			}

			ItemListClear2();
			ItemListFill2();
		});